class TrendsData {
    #mTrendsModule = null;
	#mTrendsEnv = null;
	#mTrendsJobname = null;
	#mAwss3Proxy = null;
    #mFrmworkFolder = null;
    async getTrendsModule() {
        return this.#mTrendsModule;
    }

    async setTrendsModule(mTrendsModule) {
        this.#mTrendsModule = mTrendsModule;
    }

    async getTrendsEnv() {
        return this.#mTrendsEnv;
    }

    async setTrendsEnv(mTrendsEnv) {
        this.#mTrendsEnv = mTrendsEnv;
    }

    async getTrendsJobname() {
        return this.#mTrendsJobname;
    }

    async setTrendsJobname(mTrendsJobname) {
        this.#mTrendsJobname = mTrendsJobname;
    }

    async getAwss3Proxy() {
        return this.#mAwss3Proxy;
    }

    async setAwss3Proxy(mAwss3Proxy) {
        this.#mAwss3Proxy = mAwss3Proxy;
    }
    
    async setFrameWorkFolder(mFrmworkFolder) {
        let folderName;
        switch(mFrmworkFolder.toUpperCase()) {
            case 'PROUINXT' :
                folderName = "ProUINxt";
                break;
            case 'PROUI' : 
                folderName = "ProUI";
                break;
            case "KRAFT" :
                folderName = "Kraft";
                break;
            case "MICROTESTER" : 
                folderName = "MicroTester";
                break;
            case "SWIFT": 
                folderName = "Swift";
                break;
            default :
                folderName = "ProUINxt";
        }
        this.#mFrmworkFolder = folderName;
    }

    async getFrameWorkFolder() {
       return this.#mFrmworkFolder;
    }
}
module.exports = TrendsData;