function splitString(s, splitChar) {
    let list = null;
    try {
        if (!this.isNullEmptyOrBlank(s))
            list = s.split(splitChar);
        else
            return null;
    } catch (e) {
        return null;
    }
    let rallyinfo = {};
    for (let l1 of list) {
        let parts = l1.split("=");
        if (!this.isNullEmptyOrBlank(parts[0])) {
            if ((parts.length > 1) && !this.isNullEmptyOrBlank(parts[1]))
                rallyinfo[parts[0].trim().toLowerCase()] = parts[1].trim();
            else
                rallyinfo[parts[0].trim().toLowerCase()] = "";
        }

    }
    return rallyinfo;
}

function isNullEmptyOrBlank(str) {
    return !((str != null) && (!str.length <= 0) && (!str.trim().length <= 0))
}

module.exports = { splitString , isNullEmptyOrBlank}
